Debian-Sicherheitsankündigung

DSA-1288-1 pptpd -- Programmierfehler

Datum des Berichts:
08. Mai 2007
Betroffene Pakete:
pptpd
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-0244.
Weitere Informationen:

Es wurde entdeckt, dass der PoPToP-Point to Point Tunneling-Server einen Programmierfehler enthält, was ein Abreißen der PPTP-Verbindung durch ein missgebildetes GRE-Paket bewirken kann, was zu einer Diensteverweigerung (denial of service) führt.

Die alte Stable-Distribution (Sarge) ist von diesem Problem nicht betroffen.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 1.3.0-2etch1 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 1.3.4-1 behoben.

Wir empfehlen Ihnen, Ihre pptpd-Pakete zu aktualisieren.

Behoben in:

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1.dsc
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1.diff.gz
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_alpha.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_amd64.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_arm.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_hppa.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_i386.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_ia64.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_ia64.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_mips.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_mipsel.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_powerpc.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_s390.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/pptpd/bcrelay_1.3.0-2etch1_sparc.deb
http://security.debian.org/pool/updates/main/p/pptpd/pptpd_1.3.0-2etch1_sparc.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.